package com.hx.utils.application.ui.home

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.blankj.utilcode.util.StringUtils
import com.hx.utils.application.R

class HomeViewModel : ViewModel() {
    private val _items = MutableLiveData<MutableList<String>>().apply {
        value = mutableListOf(StringUtils.getString(R.string.webview_test))
    }
    val items: LiveData<MutableList<String>> = _items

    fun updateItems(newItems: List<String>) {
        _items.value?.clear()  // 清空旧数据
        _items.value?.addAll(newItems)  // 添加新数据
        _items.value = _items.value  // 触发 LiveData 更新
    }

    fun addItem(item: String) {
        _items.value?.add(item)  // 直接修改现有列表
        _items.value = _items.value // 通知 LiveData 更新
    }

}