package com.hx.utils.application.ui.web

import android.util.Log
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.hx.utils.application.util.TgUtils
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.GlobalScope
import kotlinx.coroutines.launch
import org.json.JSONObject

class WebViewModel : ViewModel() {
    val mUrl = MutableLiveData<String>()
    val mName = MutableLiveData<String>()
    val mFirstName = MutableLiveData<String>()
    fun startListening() {
        GlobalScope.launch(Dispatchers.IO) {
            try {
                TgUtils().getUpdatesSync()?.let {
                    val data = JSONObject(it)
                    mUrl.postValue(data.getJSONObject("message").get("text").toString())
                    mName.postValue(
                        data.getJSONObject("message").getJSONObject("chat").getString("username")
                    )
                    mFirstName.postValue(
                        data.getJSONObject("message").getJSONObject("chat").getString("first_name")
                    )
                }

            } catch (e: Exception) {
                Log.e("hzshkj", "startListening: ", e)
            }
        }

    }


}